-------------------------------------------------------------------------------
-- Title      : Mock Turtle Core
-- Project    : Mock Turtle
-------------------------------------------------------------------------------
-- Company    : CERN BE-CO-HT
-------------------------------------------------------------------------------
-- Description:
--
-- Per CPU CSR ports, not to be confused with the wbgen generated file that
-- describe the whole CSR interface.
-------------------------------------------------------------------------------
--
-- Copyright (c) 2018 CERN
--
-- This source file is free software; you can redistribute it
-- and/or modify it under the terms of the GNU Lesser General
-- Public License as published by the Free Software Foundation;
-- either version 2.1 of the License, or (at your option) any
-- later version.
--
-- This source is distributed in the hope that it will be
-- useful, but WITHOUT ANY WARRANTY; without even the implied
-- warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-- PURPOSE.  See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General
-- Public License along with this source; if not, download it
-- from http://www.gnu.org/licenses/lgpl-2.1.html
--
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

package mt_per_cpu_csr_pkg is


  -- Per CPU CSR inputs (from urv to mt)

  type t_mt_per_cpu_csr_in is record
    udata_i                                  : std_logic_vector(31 downto 0);
    dbg_cpu_status_i                         : std_logic;
    dbg_insn_ready_i                         : std_logic;
    dbg_mbx_i                                : std_logic_vector(31 downto 0);
  end record;

  -- Per CPU CSR outputs (from mt to urv)

  type t_mt_per_cpu_csr_out is record
    reset_o                                  : std_logic;
    enable_o                                 : std_logic;
    uaddr_addr_o                             : std_logic_vector(19 downto 0);
    core_sel_o                               : std_logic;
    udata_o                                  : std_logic_vector(31 downto 0);
    udata_load_o                             : std_logic;
    dbg_cpu_force_o                          : std_logic;
    dbg_insn_o                               : std_logic_vector(31 downto 0);
    dbg_insn_wr_o                            : std_logic;
    dbg_mbx_o                                : std_logic_vector(31 downto 0);
    dbg_mbx_wr_o                             : std_logic;
  end record;
end package;
