/**
 * @defgroup framework-debug Framework Debug
 * @{
 * @ingroup framework
 * @brief Debug functions
 * @copyright (C) 2015-2016 CERN (www.cern.ch)
 * @author Federico Vaga <federico.vaga@cern.ch>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __TRTL_FW_FRM_DEBUG_H__
#define __TRTL_FW_FRM_DEBUG_H__

#include <stdarg.h>
#include "mockturtle-common.h"

extern int rt_send_debug(int slot, int n_values, ...);
extern void rt_print_header(struct trtl_proto_header *h);
extern void rt_print_data(uint32_t *d, unsigned int count);

#endif
/**@}*/
